@echo off
rem TikiOne Steam cleaner, a pure Java cleaner for Steam games redistributable packages.
rem Copyright (C) 2008-2013  Jonathan Lermitage
rem 
rem This library is free software; you can redistribute it and/or modify it under the terms of the
rem GNU Lesser General Public License as published by the Free Software Foundation; either version
rem 2.1 of the License, or (at your option) any later version.
rem 
rem This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
rem without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
rem the GNU Lesser General Public License for more details.
rem 
rem You should have received a copy of the GNU Lesser General Public License along with this
rem library; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
rem Boston, MA 02111-1307 USA

rem ---------------------------------------------------------------------------------------------------------------------------
rem TikiOne Steam Cleaner start-up script.
rem Used to launch TikiOne Steam Cleaner with the bundled JVM (if exists) or the operating system's JVM.
rem ---------------------------------------------------------------------------------------------------------------------------

rem Set global JVM options, to increase the maximum amount of memory (RAM) available to the JVM, to avoid some abnormal exits.
set "JAVA_OPTS1=-Xms16m"
set "JAVA_OPTS2=-Xmx512m"
set "PRG="tikione-steam-cleaner.jar"

if exist "%cd%\jre\bin\javaw.exe" goto start1
if exist "C:\Program Files\Java\jre7\bin\javaw.exe" goto start2
if exist "C:\Program Files (x86)\Java\jre7\bin\javaw.exe" goto start3
if exist "C:\Program Files\Java\jre8\bin\javaw.exe" goto start6
if exist "C:\Program Files (x86)\Java\jre8\bin\javaw.exe" goto start7
if exist "C:\Program Files\Java\jre\bin\javaw.exe" goto start8
if exist "C:\Program Files (x86)\Java\jre\bin\javaw.exe" goto start9

echo launch Java from system PATH
start "" "javaw.exe" "-jar" "%JAVA_OPTS1%" "%JAVA_OPTS2%" "%PRG%"
goto end

:start1 
echo start with bundled Java7
start "" "%cd%\jre\bin\javaw.exe" "-jar" "%JAVA_OPTS1%" "%JAVA_OPTS2%" "%PRG%"
goto end

:start2 
echo start with program files Java 7
start "" "C:\Program Files\Java\jre7\bin\javaw.exe" "-jar" "%JAVA_OPTS1%" "%JAVA_OPTS2%" "%PRG%"
goto end

:start3 
echo start with program files Java 7
start "" "C:\Program Files (x86)\Java\jre7\bin\javaw.exe" "-jar" "%JAVA_OPTS1%" "%JAVA_OPTS2%" "%PRG%"
goto end

:start6 
echo start with program files Java 8
start "" "C:\Program Files\Java\jre8\bin\javaw.exe" "-jar" "%JAVA_OPTS1%" "%JAVA_OPTS2%" "%PRG%"
goto end

:start7 
echo start with program files Java 8
start "" "C:\Program Files (x86)\Java\jre8\bin\javaw.exe" "-jar" "%JAVA_OPTS1%" "%JAVA_OPTS2%" "%PRG%"
goto end

:start8 
echo start with program files Java
start "" "C:\Program Files\Java\jre\bin\javaw.exe" "-jar" "%JAVA_OPTS1%" "%JAVA_OPTS2%" "%PRG%"
goto end

:start9 
echo start with program files Java
start "" "C:\Program Files (x86)\Java\jre\bin\javaw.exe" "-jar" "%JAVA_OPTS1%" "%JAVA_OPTS2%" "%PRG%"
goto end

:end
